﻿@model NewsFeed.Domain.DTO.NewsDTO
@using Microsoft.AspNetCore.Identity

@inject SignInManager<IdentityUser> SignInManager
@inject UserManager<IdentityUser> UserManager

@{
    ViewData["Title"] = "Create";
}

<h2>Write your news here!</h2>
@Html.Hidden("BaseCategoriesUrl", @Url.Action(""))

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <input asp-for="NewsId" class="form-control" type="hidden" />
            </div>
            <div class="form-group">
                <label asp-for="NewTitle" class="control-label"></label>
                <input asp-for="NewTitle" class="form-control" />
                <span asp-validation-for="NewTitle" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="NewDescription" class="control-label"></label>
                <textarea asp-for="NewDescription" class="form-control"></textarea>
                <span asp-validation-for="NewDescription" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input asp-for="UserCreated" class="form-control" type="hidden" />
            </div>
            <div class="form-group">
                <input asp-for="UsersSubscribed" class="form-control" type="hidden" />
            </div>
            <div class="form-group">
                <label asp-for="NewsCategory" class="control-label">
                </label>
                <select asp-for="NewsCategory" class="control-label"
                        asp-items="@(new SelectList(ViewBag.CategoryList, "CategoryId", "CategoryName"))"></select>
                <span asp-validation-for="NewsCategory" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
